// RequiresInitialization.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This annotation marks methods that cannot be called on an object
// until it has been initialized.
//
// As with the previous annotation example, we use the @Target
// "meta-annotation" (an annotation that annotates an annotation) to
// specify that this annotation can only be placed on to a method.

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;


@Target(ElementType.METHOD)
public @interface RequiresInitialization
{
}
